Can not upgrade freepbx 15 to 16

To upgrade a freepbx version 15 to 16 . I am following this

Things to be aware of for a successful FreePBX 15 to 16 upgrade - FreePBX / Installation / Upgrade - FreePBX Community Forums

Registry.npmjs.org is added to our firewall

But with fwconsole upgrade all I have the following error message.

Detected Missing Dependency of: pm2 16.0.4
Found local Dependency of: pm2 16.0.8
Installing Missing Dependency of: pm2 16.0.4
Installing/Updating Required Libraries. This may take a while…The following messages are ONLY FOR DEBUGGING. Ignore anything that says ‘WARN’ or is just a warning
[…] / rollbackFailedOptional: verb npm-session fe7d2b624fb6077

Any idea why this is happening?

I tried yum update ,reinstalling npm also

Hi, Is PM2 up and running on your system ? Or is missing and Disabled that module ? pls check that.

| pm2 | 16.0.8 | Enabled | AGPLv3+ | Sangoma |